QGIS Application - Bug report #20090
GeoPackage SQL issues in DB Manager
2018-10-12 02:23 PM - Antoine Fonoxo

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:3.2.3 Regression?: No
Operating System: Windows 7 64bits Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 27912
Description

DB Manager issues with GPKG geometries on perfectly valid GeoPackage files (made by QGIS or ogr2ogr).
The following SQL queries fail in DB Manager
( but succeed in DB Browser 4 SQLite with EnableGpkgAmphibiousMode ) :

SELECT AsWKT(geom) FROM mypolygon;
--> returns NULL ; should return: MULTIPOLYGON(...

SELECT ST_Area(geom) FROM mypolygon;
--> returns NULL ; should return numeric

SELECT isvalid(geom) FROM mypolygon;
--> returns -1 (which means: UNKNOWN) ; should return 0 or 1

Related issues:
Related to QGIS Application - Bug report # 18974: No geometry operation on ge... Open 2018-05-17

History

#1 - 2018-10-12 04:09 PM - Giovanni Manghi
- Status changed from Open to Feedback

post the dataset plesae.

#2 - 2018-10-12 05:03 PM - Antoine Fonoxo
- File mypolygon.gpkg added

SQL queries on geometries failed on every gpkg | tested.

Here is a sample.

| tested the same queries with ogrinfo (bundled with QGIS): no problem with geom functions.

#3 - 2018-10-12 06:11 PM - Giovanni Manghi

- Related to Bug report #18974: No geometry operation on geopackages layers added

#4 - 2018-10-12 06:11 PM - Giovanni Manghi
- Resolution set to duplicate
- Status changed from Feedback to Closed

duplicate of #18974 (edited)

Files

mypolygon.gpkg 132 KB 2018-10-12 Antoine Fonoxo
